@echo off

rem  ------------------------------------------------------------------------
rem  cycle silently until a key is hit
rem  set errorlevel to ascii code of the key that is hit
rem  use this errorlevel to branch within batch file
rem  note:  see ascii.txt (included) for ascii values of selected keystrokes	
rem  ------------------------------------------------------------------------

cls


echo.
echo       call dpgnbel8 from batch file
echo       cycle silently until a key is hit
echo       works like ms-dos pause command but omits the 
echo       'press any key to continue' message
echo       returns errorlevel = to ascii value of key hit
echo       see this file (demo88.bat) for an example
echo.
echo.
echo.
echo       all choices case sensitive
echo.	
echo       v -- exit
echo       w -- print w
echo       x -- print x
echo       y -- print y
  


	rem **************************************************
	rem note:  the errorlevel check tests for the specified
	rem        value OR HIGHER.  this batch code line ...
	rem
	rem	   if errorlevel 1 echo one
	rem
	rem	   is executed if the errorlevel is 1 OR HIGHER,
	rem	   (i.e., if errorlevel is 1-255)
	rem
	rem	   therefore, if your batch program checks for 
	rem 	   errorlevel 121 (y) and errorlevel 120 (x), 
	rem	   you must check for errorlevel 121 first.  if you 
	rem	   check for errorlevel 120 first, the errorlevel 120 
	rem	   line will be executed whether the errorlevel 
	rem	   is 120 or 121, because the batch program checks for 
	rem	   the specified errorlevel OR HIGHER.
	rem
	rem	   note that the below code also checks for errorlevel 122 
	rem        (any errorlevel > y) to ensure that hitting z is
	rem	   ignored.  (try it and see.)  it also tests for
	rem	   errorlevel 0 (any errorlevel from 0 - 255) 
	rem	   to ensure that hitting lower case a - u, 
	rem	   upper case A-Z and 0-9 are ignored.  (try them 
	rem	   and see.)
	rem **************************************************

:woof

rem    ---------------
rem	beep 0 times.  
rem	return errorlevel = to ascii value of keystroke
rem    ---------------

echo 0|dpgnbel8

rem    ---------------
rem	use errorlevel to branch in batch program
rem    ---------------

if not errorlevel 122 goto not122   
rem --------------------------------------------------
rem errorlevel 122 = keystroke ascii value 122 = z or higher
rem z is not a menu selection so do nothing and await next keystoke
rem --------------------------------------------------
goto woof
:not122

if not errorlevel 121 goto not121   
rem --------------------------------------------------
rem errorlevel 121 = keystroke ascii value 121 = y
rem echo y.  await next keystroke
rem --------------------------------------------------
echo y
goto woof
:not121

if not errorlevel 120 goto not120   
rem --------------------------------------------------
rem errorlevel 120 = keystroke ascii value 120 = x
rem echo x.  await next keystroke
rem --------------------------------------------------
echo x
goto woof
:not120

if not errorlevel 119 goto not119     
rem --------------------------------------------------
rem errorlevel 119 = keystroke ascii value 119 = w
rem echo w.  await next keystroke
rem --------------------------------------------------
echo w
goto woof
:not119

if not errorlevel 118 goto not118   
rem --------------------------------------------------
rem errorlevel 118 = keystroke ascii value 118 = x
rem echo nothing.  exit program.
rem --------------------------------------------------
goto end
:not118

rem --------------------------------------------------
rem errorlevel 1 = bad call dpgnbel8, which displays an error message
rem go to end so that message does not scroll off screen
rem --------------------------------------------------
if errorlevel 1 goto end

if errorlevel 0 goto woof
				     
:end
